Package org.apache.naming.factory

## Class OpenEjbFactory

- java.lang.Object
- - org.apache.naming.factory.OpenEjbFactory

- All Implemented Interfaces:
    `javax.naming.spi.ObjectFactory`

      public class OpenEjbFactory
      extends java.lang.Object
      implements javax.naming.spi.ObjectFactory

  Object factory for EJBs.
  Author:
    Jacek Laskowski, Remy Maucherat

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static java.lang.String` | `DEFAULT_OPENEJB_FACTORY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OpenEjbFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getObjectInstance​(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable<?,​?> environment)` | Create a new EJB instance using OpenEJB.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_OPENEJB_FACTORY

          protected static final java.lang.String DEFAULT_OPENEJB_FACTORY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OpenEjbFactory

          public OpenEjbFactory()

  - ### Method Detail

    - #### getObjectInstance

          public java.lang.Object getObjectInstance​(java.lang.Object obj,
                                                    javax.naming.Name name,
                                                    javax.naming.Context nameCtx,
                                                    java.util.Hashtable<?,​?> environment)
                                             throws java.lang.Exception

      Create a new EJB instance using OpenEJB.
      Specified by:
        `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
      Parameters:
        `obj` - The reference object describing the DataSource
      Throws:
        `java.lang.Exception`